For the complete documentation index, see llms.txt. This page is also available as Markdown.

Solana Send Batch

Introducing the integration method of BlockRazor Solana's Send Batch in Transaction Sending mode.

Send Batch is a batch sending interface provided by BlockRazor for Solana, used to send signed transactions to the blockchain in batch form with low latency. A maximum of 25 transactions can be sent in a single batch.

Endpoint

  • POST /sendBatch

  • gRPC

Transaction Construction Example

Request Parameter

Parameters
Mandatory
Example
Description

transactions

Mandatory

string[]

Signed transactions, Base64 encoded, maximum 25 transactions

mode

Optional

"fast" "sandwichMitigation"

BlockRazor offers two modes: Fast and SandwichMitigation, with Fast as the default. In fast mode, transactions are sent based on globally distributed high-performance network and high-quality SWQoS, reaching the Leader node with the lowest latency. In sandwichMitigation mode, BlockRazoz will route transactions to the trusted SWQoS and skip the slot of the blacklisted Leader (dynamically identified by the BlockRazor sandwich monitoring mechanism). In this mode, DO NOT send transactions using durable nonce, as it will cause the sandwich protection to become ineffective.

safeWindow

Optional

3

safeWindow is used to determine the timing of transaction sending in sandwichMitigation mode and represents the number of consecutive slots of whitelist validators. For example, if it is set to 3, the transaction will only be sent when 3 consecutive slots from the current slot belong to whitelist validators. The range of safeWindow is 3-13. The larger the number, the better the effect of mitigating the sandwich attack, but it may have a certain impact on the rate of inclusion. If not set, the default is 3.

revertProtection

Optional

false

The default value is false. If set to true, the transaction will not fail on chain, but the speed of inclusion will be affected and there is a possibility that it cannot be included. Please choose to enable it carefully according to actual needs.

Last updated

Was this helpful?